DISPLAY(1)

NAME
display - desktop environment

SYNOPSIS
display [session ...]

DESCRIPTION
display is a desktop environment and windowing system compositor. Applications talk to the display server process to receive user input and show their graphical user interfaces in windows.

The user's preferred startup applications are launched on startup by launching the session(5) program (if set) or otherwise the displayrc(5) script in the background.

display exits when Control + Alt + Delete is pressed.

The options are as follows:

-m mouse
    Use mouse device instead of /dev/mouse.

-t tty
    Use tty device instead of /dev/tty.

-s socket
    Listen on socket instead of /var/run/display.

The keyboard shortcuts are as follows:

Alt + F4
    Quit the current window.

Alt + F10
    Maximize (or restore) the current window.

Alt + Tab
    Switch to the next window.

Alt + Drag
    Drag the current window.

Control + Alt + Delete
    Exit the desktop environment.

Control + Alt + T
    Launch the terminal(1) application.

Super + Left
    Tile the current window leftwards.

Super + Right
    Tile the current window rightwards.

Super + Up
    Tile the current window upwards.

Super + Down
    Tile the current window downwards.

F11 Grab input for the current window.

F12 Release the input grab on the current window.

The mouse gestures are as follow:

•   Clicking on a window brings it to the foreground.

•   Dragging the window title bar moves the window.

•   Double clicking on the window title bar maximizes (or restores) the window.

•   Clicking on the rectangle icon in the title bar maximizes (or restores) the window.

•   Clicking on the X icon in the title bar closes the window.

•   Dragging the edges of a window resizes it.

•   Windows can be tiled by moving them when the cursor meets the left, right, top, and bottom edges or any corner.

The keyboard layout can be changed with the chkblayout(1) program. The display resolution can be changed with the chvideomode(1) program.

ENVIRONMENT

DISPLAY_SOCKET
    display sets DISPLAY_SOCKET to the path of the unix(4) socket where it listens for connections from applications. Applications use DISPLAY_SOCKET to connect to display or /var/run/display by default.

FILES
~/.displayrc, /etc/displayrc, /etc/default/displayrc
    displayrc(5) script that spawns the user's preferred startup applications.
/var/run/display
    unix(4) socket where display listens for connections from applications, as advertised in the DISPLAY_SOCKET environment variable.

ASYNCHRONOUS EVENTS

SIGTERM
    Request daemon termination.

EXIT STATUS
display runs as a daemon(7) until stopped by SIGTERM, the user explicitly exits the desktop environment, or an application asks it to exit. display signals readiness on the READYFD file descriptor when the display server is ready to receive connections from applications. display will exit non-zero on any fatal startup error.

EXAMPLES
display can be selected as the user's graphical user interface with this executable ~/.session script:

    #!/bin/sh
    exec display

chkblayout(1), chvideomode(1), display(1) will run the displayrc(5) script on startup, which can be used to start applications.

SEE ALSO
terminal(1), displayrc(5), session(5)

BUGS
The following features are not yet implemented:
•   Windows cannot be minimized.
•   Applications cannot receive mouse events.
•   The wallpaper is random and cannot be controlled.